package ru.yandex.autotests.directapi.model.api5.ads;

import javax.xml.bind.JAXBElement;

import com.yandex.direct.api.v5.ads.MobileAppCpcVideoAdBuilderAdUpdate;
import com.yandex.direct.api.v5.ads.ObjectFactory;

public class MobileAppCpcVideoAdBuilderAdUpdateMap
        extends AdBuilderAdUpdateBaseMap<MobileAppCpcVideoAdBuilderAdUpdateMap> {
    public static final String TRACKING_URL = "trackingUrl";

    public MobileAppCpcVideoAdBuilderAdUpdateMap() {
        super();
        setBean(new MobileAppCpcVideoAdBuilderAdUpdate());
    }

    public MobileAppCpcVideoAdBuilderAdUpdateMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public MobileAppCpcVideoAdBuilderAdUpdateMap withTrackingUrl(String trackingUrl) {
        JAXBElement<String> jaxbElement = new ObjectFactory()
                .createMobileAppCpcVideoAdBuilderAdGetTrackingUrl(trackingUrl);
        this.put(TRACKING_URL, jaxbElement);
        return this;
    }
}
